#ifndef __Settings__

#define __Settings__

#include <stdio.h>
#include <stdlib.h>
#include <SDL2/SDL.h>
#include <SDL2/SDL_image.h>
#include <stdbool.h>
#include "breakout.h"

typedef struct sliderstruct {
  SDL_Rect Bar_rect;
  SDL_Rect Scalar_rect;
  double Slider_value,min,max;
} Slider;


void Settings_Draw (SDL_Renderer* renderer,Scenery* scenery);

void Draw_Slider(SDL_Renderer* renderer,Slider* beta);

void Draw_Ballstate(SDL_Renderer* renderer,Scenery* scenery);

void Settings_Initialize (SDL_Renderer* renderer);

void Initialize_Slider(int x,int y,int sw,int bw,int h,double min,double max,Slider* beta);

void Settings_Deinitialize();

void mapping(double *x,Slider* beta);

#endif
